Skip to main content
GET
/
api
/
v2
/
savings
/
{id}
/
deposit-instructions
/
{type}
Get banking deposit instructions
curl --request GET \
  --url https://sandbox.killb.app/api/v2/savings/{id}/deposit-instructions/{type} \
  --header 'Authorization: Bearer <token>'
{
  "type": "ACH",
  "accountHolderName": "Bank Name",
  "accountNumber": "111111111111",
  "routingNumber": "222222222",
  "currency": "USD",
  "memo": "A1AABCD",
  "bankAddress": {
    "street1": "68528 Dwight Court",
    "city": "Fiorenze",
    "state": "New York",
    "zipCode": "48245000",
    "countryCode": "CO",
    "street2": "Apt 488"
  },
  "depositMessage": "AABBCC3311DZEF",
  "bankBeneficiaryName": "KillB Bank Name"
}

Documentation Index

Fetch the complete documentation index at: https://docs.killb.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required
Example:

"449b31b4-fca5-465e-99ea-7b7b28cfbccb"

type
enum<string>
required
Available options:
ACH,
WIRE
Example:

"ACH"

Response

type
enum<string>
required
Available options:
ACH,
WIRE
Example:

"ACH"

accountHolderName
string
required
Example:

"Bank Name"

accountNumber
string
required
Example:

"111111111111"

routingNumber
string
required
Example:

"222222222"

currency
string
Example:

"USD"

memo
string
Example:

"A1AABCD"

bankAddress
BANK_DEPOSIT_INSTRUCTIONS · object
depositMessage
string
Example:

"AABBCC3311DZEF"

bankBeneficiaryName
string
Example:

"KillB Bank Name"